#include "stdafx.h"
#include "MaxWeightedEdge.h"

namespace GraphTools
{
	EdmondsEdge::EdmondsEdge()
		: elems(3)
	{
		elems[0] = -1;
		elems[1] = -1;
		elems[2] = -1;
	}

	EdmondsEdge::EdmondsEdge(int i, int j, int w)
		: elems(3)
	{
		elems[0] = i;
		elems[1] = j;
		elems[2] = w;
	}

	int EdmondsEdge::operator[] (int i)
	{
		return this->elems[i];
	}


	//MyVector::MyVector()
	//	: elems(MyVector<T>())
	//{ }

	//int MyVector::size();
	//void push_back(T elem);
	//void pop_back();
	//void reverse();
	//T& operator [](const int& b);

}