#include "stdafx.h"
#include "PrintUtils.h"

namespace PrintUtils
{
	string bool2str(const bool c)
	{
		return c? "true" : "false";
	}

	string digit2str(const int i)
	{
		switch (i)
		{
		case 0: 
			return "0";
		case 1: 
			return "1";
		case 2: 
			return "2";
		case 3: 
			return "3";
		case 4: 
			return "4";
		case 5: 
			return "5";
		case 6: 
			return "6";
		case 7: 
			return "7";
		case 8: 
			return "8";
		case 9: 
			return "9";
		default: 
			return "oops";
		}
	}

	string int2str(const int i)
	{
		if (i == 0)
			return "0";
		string out = "";
		int c = abs(i);
		while (c != 0)
		{
			out = digit2str(c % 10) + out;
			//if (c == c / 10)
			//	break;
			c = c / 10;
		}
		return i > 0 ? out : "-" + out;
	}
}