﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.FSharp.Collections;

namespace FSharp_Extensions
{
    public static class Extensions
    {
        public static FSharpList<TItemType> ToFSharplist<TItemType>(this IEnumerable<TItemType> myList)    
        {        
            return Microsoft.FSharp.Collections.ListModule.OfSeq<TItemType>(myList);    
        }     
        public static IEnumerable<TItemType> ToEnumerable<TItemType>(this FSharpList<TItemType> fList)    
        {        
            return Microsoft.FSharp.Collections.SeqModule.OfList<TItemType>(fList);    
        }      
    }
}
